## GnomeDbSelectorMeta

GnomeDbSelectorMeta —

##

# Synopsis

    struct      GnomeDbSelectorMeta;
    struct      GnomeDbSelectorMetaClass;
    GnomeDbSelectorPart* gnome_db_selector_meta_new_with_sql
                                                (GdaMetaStore *store,
                                                 const gchar *sql,
                                                 GError **error);
    gboolean    gnome_db_selector_meta_add_sql  (GnomeDbSelectorMeta *part,
                                                 const gchar *sql,
                                                 GError **error);
    void        gnome_db_selector_meta_set_sub_part
                                                (GnomeDbSelectorMeta *part,
                                                 GnomeDbSelectorPart *subpart);
    void        gnome_db_selector_meta_set_pixbuf_func
                                                (GnomeDbSelectorMeta *part,
                                                 gint column,
                                                 GnomeDbSelectorMetaPixbufFunc func);

## Object Hierarchy

      GObject
       +----GnomeDbSelectorMeta

## Implemented Interfaces

GnomeDbSelectorMeta implements GnomeDbSelectorPart.

## Properties

      "meta-store"           GdaMetaStore         : Read / Write / Construct Only
      "parent-pixbuf"        GdkPixbuf            : Read / Write
      "parent-pixbuf-file"   gchararray           : Write
      "pixbuf"               GdkPixbuf            : Read / Write
      "pixbuf-file"          gchararray           : Write
      "select-stmt"          GdaStatement         : Read / Write / Construct Only

## Description

## Details

### struct GnomeDbSelectorMeta

    struct GnomeDbSelectorMeta;

### struct GnomeDbSelectorMetaClass

    struct GnomeDbSelectorMetaClass {

    	GObjectClass            parent_class;
    };

### gnome_db_selector_meta_new_with_sql ()

    GnomeDbSelectorPart* gnome_db_selector_meta_new_with_sql
                                                (GdaMetaStore *store,
                                                 const gchar *sql,
                                                 GError **error);

`store` : |
`sql` : |
`error` : |
Returns : |

### gnome_db_selector_meta_add_sql ()

    gboolean    gnome_db_selector_meta_add_sql  (GnomeDbSelectorMeta *part,
                                                 const gchar *sql,
                                                 GError **error);

`part` : |
`sql` : |
`error` : |
Returns : |

### gnome_db_selector_meta_set_sub_part ()

    void        gnome_db_selector_meta_set_sub_part
                                                (GnomeDbSelectorMeta *part,
                                                 GnomeDbSelectorPart *subpart);

Attach a GnomeDbSelectorPart as a sub part of `part`

`part` : |
`subpart` : |

### gnome_db_selector_meta_set_pixbuf_func ()

    void        gnome_db_selector_meta_set_pixbuf_func
                                                (GnomeDbSelectorMeta *part,
                                                 gint column,
                                                 GnomeDbSelectorMetaPixbufFunc func);

Sets the function which is used to compute each content node's associated pixbuf.

`part` : | a GnomeDbSelectorMeta object
`column` : | the column number
`func` : | a GnomeDbSelectorMetaPixbufFunc function, or `NULL`

## Properties

"`meta-store`" (GdaMetaStore : Read / Write / Construct Only) |
"`parent-pixbuf`" (GdkPixbuf : Read / Write) |
"`parent-pixbuf-file`" (gchararray : Write) |
"`pixbuf`" (GdkPixbuf : Read / Write) |
"`pixbuf-file`" (gchararray : Write) |
"`select-stmt`" (GdaStatement : Read / Write / Construct Only) |